Summary: A graphical utility for controlling network interfaces.
Name: usernet
Version: 1.0.9
Release: 8mdk
Copyright: GPL
Group: System/Configuration/Networking
BuildRequires: XFree86-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Source0: usernet-%{PACKAGE_VERSION}.tar.bz2
Source1: usernet.menu.bz2
Requires: initscripts >= 3.20

%description
The usernet utility provides a graphical interface for manipulating
network interfaces (bringing them up or down and viewing their status).
Users can only manipulate interfaces that are user-controllable.  The
superuser can control all interfaces.

Install the usernet package if you'd like to provide a graphical utility
for manipulating network interfaces.

%prep
%setup -q

%build
make VERSION=%{PACKAGE_VERSION} CFLAGS="$RPM_OPT_FLAGS `glib-config --cflags` -DVERSION=\\\"%{PACKAGE_VERSION}\\\""

%install
# grr
perl -p -i -e "s/root\.root/$(USER)\.$(id -g)/g" Makefile
%makeinstall BR=$RPM_BUILD_ROOT VERSION=%{PACKAGE_VERSION} MAN=$RPM_BUILD_ROOT%{_mandir}/man1

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_menudir}/usernet

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/usernet
%{_datadir}/usernet/%{PACKAGE_VERSION}
%{_mandir}/man1/usernet.1*

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.9-8mdk
- automatically added BuildRequires


* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-7mdk
- macros, BM
- "fix build as non root again" (c) chmouel : try again.

* Thu May 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.9-6mdk
- Fix build as non root again.

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 1.0.9-5mdk
- Spec and group fixes
- Menu

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- build as non root

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Mar 17 1999 Bill Nottingham <notting@redhat.com>
- fix it so that it reverts to 'bad' color if ifup fails

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- new summary/description

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries on install
- use the "proper" build root dir
- defattr

* Thu Apr 16 1998 Erik Troan <ewt@redhat.com>
- updated to use gtk-config
- Makefile gets version number from .spec file

* Tue Dec 16 1997 Michael K. Johnson <johnsonm@redhat.com>
- usernet hanging on PPP devices fixed

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- no paths in wmconfig files

* Fri Oct 24 1997 Michael K. Johnson <johnsonm@redhat.com>
- Change in Gtk behaviour for closing windows.
- wmconfig

* Tue Oct 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Change to a fork-fork-exec for running if{up,down} so that the
  status button responds instantly, and init cleans up after our
  poor orphaned processes.

* Fri Oct 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Resize window to fit up to three interface buttons without a scrollbar.
- When changing versions, need to update version in usernetrc as well.
  Do that automatically now.
- Everything takes the version from the spec file.

* Fri Oct 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Call if{up,down} directly and let them call usernetctl if necessary,
  so that root can also use the tool.

